Gates of Arimyth
http://forum.arimyth.com/

Error in HU 1.7
http://forum.arimyth.com/viewtopic.php?f=9&t=17094
Page 1 of 1

Author:  DoubtFuLMind [ Fri Jan 20, 2017 5:56 am ]
Post subject:  Error in HU 1.7

Whenever i TP to Dark Woods i get this error:

UNHANDLED EXCEPTION
ACCESS_VIOLATION (c0000005)

Author:  Minu566 [ Fri Jan 20, 2017 8:31 am ]
Post subject:  Re: Error in HU 1.7

dont go to dark wood directly.
go to any other wp in act 1, wait a moment and then go to dark wood.

Author:  DoubtFuLMind [ Fri Jan 20, 2017 9:59 am ]
Post subject:  Re: Error in HU 1.7

so this isnt just my problem? it occurs to others as well?

EDIT:
Guys please reply. Cause lately i am having some kind of problems with my software and i want to know if this error occurs only with me or its the mod's problem. :roll:

Author:  DoubtFuLMind [ Mon Jan 23, 2017 6:37 am ]
Post subject:  Re: Error in HU 1.7

i try to play the game with plugy activated and i get this...

Attachments:
another error when trying to play with plugy.png
another error when trying to play with plugy.png [ 242.68 KiB | Viewed 2541 times ]

Author:  DoubtFuLMind [ Mon Jan 23, 2017 6:41 am ]
Post subject:  Re: Error in HU 1.7

can anyone give me a guide on how to have shared stash in HU 1.7?..

Author:  Brevan [ Mon Jan 23, 2017 1:23 pm ]
Post subject:  Re: Error in HU 1.7

Regarding the DarkWoods WP crash, yes it's pretty common. The "0xc0000005" error itself is pretty common (DWoods WP, Cain-ID crash, maybe Purgatory2 crash too?), and might be related to changes in OS standards since D2's release. My theory is that the error is caused by RAM related stuff, since these errors are usually fixed by rebooting the machine, but will crop up later (monthly sounds about right for me). The DarkWoods WP crash is relatively nice, since it just requires you to use another WP first rather than rebooting.

For Plugy, there are threads about it, but unfortunately not a lot of "it worked" or "still not working" replies, so I don't have much more information to share. You could try reviewing the Plugy homepage.

Author:  Malpheas [ Mon Jan 23, 2017 2:08 pm ]
Post subject:  Re: Error in HU 1.7

As soon as Legion summons his first minion I crash. I'll have to get the specific error message but it's something about "string not called" type thing.

Author:  Brevan [ Mon Jan 23, 2017 3:06 pm ]
Post subject:  Re: Error in HU 1.7

It looks like I'll need more information to reproduce the problem.

  1. Were you playing NormRes or HighRes?
  2. This was Normal difficulty and on the realm, right?
  3. Do you remember if you're using the NewMusic or OldMusic package?
  4. Did you have the DayBreakSoul GC on you, with it's on-equip aura (i.e. it was cubed with the glyphs)?

You're welcome to include any other information you like.

Author:  Malpheas [ Mon Jan 23, 2017 6:34 pm ]
Post subject:  Re: Error in HU 1.7

Hi Brevan,

I tried both high res and low res to make sure and the error was identical both times. I am running new music package. I do have the glyph cubed charm on with the aura on equip. This was on normal difficulty and on realm.

Cheers,

Mal

Author:  Brevan [ Mon Jan 23, 2017 8:21 pm ]
Post subject:  Re: Error in HU 1.7

Sorry, but I haven't been able to quickly reproduce the error.

  1. Are you using the recent January 15th bugfix? That fix involved strings, so it could easily be related.
  2. Which server were you playing on, Franky or Not-Franky? It's possible for servers to have non-identical files (e.g. corruption while distributing or installing files), so it can be important to know which server an error occurs on.

In my Single Player tests, I tried NormRes and HighRes, each with NewMusic. In each case I made sure that Legion had a chance to summon all character-clone types just in case one of them was causing a problem. In only one test did I bother to defeat Legion and Soulmancer.

Author:  Malpheas [ Tue Jan 24, 2017 12:18 am ]
Post subject:  Re: Error in HU 1.7

I'll give that a shot.

I've just installed it and will try to get to Legion again. If it happens again I'll take a screen of the error.

Author:  Malpheas [ Tue Jan 24, 2017 11:23 am ]
Post subject:  Re: Error in HU 1.7

I've another bug to report:

Synergies for Holy Auras seem off: Holy Freeze requires Resist Fire, Holy Fire requires Consecrate and Holy Shock requires resist cold.

Author:  Malpheas [ Tue Jan 24, 2017 12:10 pm ]
Post subject:  Re: Error in HU 1.7

Also,

Legion works for a bit now, but after a minute or so (twice tested) it crashes server side). I say server side because it gave no error on my end, nor did anything but freeze completely.

Author:  Brevan [ Tue Jan 24, 2017 3:12 pm ]
Post subject:  Re: Error in HU 1.7

Auras - Working as intended. HUv1.7 took the "rock-paper-scissors" approach to the elements, so that a FirePaladin can easily defeat Andarial (rather than be immune to and no threat to Diablo):
  1. Fire defeats Poison and defeated by cold
  2. Poison defeats lightning and defeated by Fire
  3. Lightning defeats cold and defeated by Poison
  4. Cold defeats Fire and defeated by Lightning
  5. Magic and Phys are not in the chain (exception for Sanctuary aura)

It's unfortunate Legion is being inconsistent, since that makes it very hard to determine the problem or know when a solution was found. I'd understand if you don't feel up to continuing the investigation, but without knowing which server is having trouble there's not much more to do.

Author:  Malpheas [ Thu Mar 02, 2017 1:02 pm ]
Post subject:  Re: Error in HU 1.7

Pardon the lack of reply. I updated to the bug fix.

I have replicated the bug for this on single player. It only happens on certain models (character classes used as monsters). This bug also prevents me from doing the Hall of Heroes.

The characters that I have been able to play against are the Sorceress amn druid. I hadn't tested beyond that. I have also been to the Bastion of Sorrow (last challenge map from Akara at lvl 99) and did not have a problem when there were barbarian models as monsters.

Edit - I've just tested Stronghold of Sorrow on realm and it crashes as soon as I attack barbarians, but not on single player.

Author:  Malpheas [ Sat Mar 04, 2017 6:23 pm ]
Post subject:  Re: Error in HU 1.7

Image

This is the error I get with Legion, Arimyth and Stronghold of Sorrow.

Author:  Brevan [ Sat Mar 04, 2017 7:24 pm ]
Post subject:  Re: Error in HU 1.7

Please send me (via PM, but attaching to a reply to this thread would probably work too) the debuglog file for the date of that error.

The debuglog files are located in the mod's folder (e.g. C:\Diablo2\MODS\HU_1.7\). They are text files with names that contain the date (e.g. "debuglog170304.txt" for 2017 03 04 (i.e. today)).

Also, please let me know which character skills you were using (or use most of the time) as well as your merc. These details might help me ignore some information that could appear in the debuglog file.

Author:  Gendouflame [ Wed Mar 08, 2017 11:06 am ]
Post subject:  Re: Error in HU 1.7

I'm receiving the "0xc0000005" error upon trying to load into a game... on the server, as well as single player...

Author:  Brevan [ Wed Mar 08, 2017 11:38 am ]
Post subject:  Re: Error in HU 1.7

That error message is relatively common but so general that it's hard to determine what causes it.

  • Have you already tried the advice mentioned earlier in this thread (my advice was to reboot the computer, seems to consistently fix the issue when I receive it)?
  • Are you using D2SE?
  • What Operating System is your computer using (if D2 is installed into ProgramFiles or the Users folder on Win7 to Win10, it opens up potential for problems).
  • Is this a new problem for you, or have you never been able to run HUv1.7 (i.e. you've never been able to make a char)?

Author:  Gendouflame [ Wed Mar 08, 2017 8:29 pm ]
Post subject:  Re: Error in HU 1.7

Brevan wrote:
That error message is relatively common but so general that it's hard to determine what causes it.

  • Have you already tried the advice mentioned earlier in this thread (my advice was to reboot the computer, seems to consistently fix the issue when I receive it)?
  • Are you using D2SE?
  • What Operating System is your computer using (if D2 is installed into ProgramFiles or the Users folder on Win7 to Win10, it opens up potential for problems).
  • Is this a new problem for you, or have you never been able to run HUv1.7 (i.e. you've never been able to make a char)?



I'm an old member, but haven't played in a very long time. I built a new pc recently, so I'm running windows 10.

I tried installing it through D2SE but couldn't get the mod to load (could only load the main game... maybe i just couldn't figure out d2se lol)

So I went back to how I'd done it before and just installed in C:\Program Files (x84). I can load HU, log in to the network and make a character, but as soon as I try to create/join a game it crashes.

Well I was able to get it load via D2SE... same issue though... crashes upon entering game (the door on load screen opens fully, then crashes before loading in)

*edit: I got it to load in finally... thanks for the advice*

Author:  Brevan [ Wed Mar 08, 2017 9:37 pm ]
Post subject:  Re: Error in HU 1.7

It sounds like you've solved the problem somehow, but for those struggling in the future:

Try the following:
  1. Cut&paste (or copy-paste if you'd prefer) the D2 folder from C:\ProgramFiles\ to C:\ (I haven't noticed registry problems from doing this in the past, and worst-case you can cut&paste it back).
  2. Double check that the D2SE shortcut (as well as game.exe and diablII.exe; I don't think all are necessary, but you may as well) are run in compatibility mode, run as Administrator, and turn off desktop composition (I don't have Win10, so I can't tell you which other checkboxes are important, so you might have to experiment).

Here's a fairly detailed install guide, consider checking if there's a step you missed (maybe running VidTest?).

There isn't a lot to figure out with D2SE. Once it's installed, you'll notice a Mods folder in your D2 folder, and in that Mods folder it's up to you to create a folder for HUv1.7 and place the v1.7 files within it.
i.e.
  1. Make a mod folder (e.g. C:/D2/Mods/HU_v1.7/).
  2. Expand the core-files download and package of your choice into /HU_v1.7/
  3. Run D2SE, select the silly HU picture, and press "start plugin" ("start d2" will not run with the mod's files).
  4. You might need to run the GlideWrapper test and configure it.

If you've installed D2 from Blizzard's store, then you might have D2:LoDv1.14, which isn't compatible with D2SE or HU at all. If that's the case, you can download an entire install directory with D2SE here, and then make a folder for HUv1.7 and continue from there.

Page 1 of 1 All times are UTC - 5 hours
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/